[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.Notification

Performs actions when the specified component is added to or removed from the class instance.

## Declaration

Source position: forms.pp line 1211

`protected procedure TScreen.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component added or removed in the notification.
`Operation` |  | Operation performed for the specified component.

## Description

Notification is an overridden method used to perform actions needed when a component is added to or removed from the class instance. It calls the inherited method on entry to remove the free notification for the component and to signal the Notification method for any child components. In TScreen, it ensures that an internal member used to track the value in ActiveControl or ActiveCustomForm is Nil'd when AComponent is removed and it is stored in one of the members.

## See also

TScreen.ActiveControl |  | The control which has the focus on the active form for the screen.
TScreen.ActiveCustomForm |  | The TCustomForm instance which has the focus.
TComponent
TComponent.Components